> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

---
id: 24f7d765-9027-4315-a199-6cfbf121485f
---

# Update an existing pipeline

> Update an existing pipeline for the specified object type.



## OpenAPI

````yaml specs/legacy/v1/crm-pipelines-v1.json PUT /crm-pipelines/v1/pipelines/{object_type}/{pipeline_id}
openapi: 3.0.0
info:
  title: CRM Pipelines API v1
  version: 1.0.0
  description: Legacy CRM Pipelines API v1 - Auto-generated from MDX documentation
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /crm-pipelines/v1/pipelines/{object_type}/{pipeline_id}:
    put:
      summary: Update an existing pipeline
      description: Update an existing pipeline for the specified object type.
      operationId: putcrmpipelinesv1pipelinesobjecttypepipelineid
      parameters:
        - name: object_type
          in: path
          required: true
          description: >-
            The object type of the pipeline that you want to update. Must be one
            of: deals, tickets
          schema:
            type: string
            enum:
              - deals
              - tickets
        - name: pipeline_id
          in: path
          required: true
          description: The ID of the pipeline you want to update.
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                label:
                  type: string
                  description: >-
                    The label for the pipeline. The label will be displayed when
                    viewing records in HubSpot.
                  maxLength: 36
                displayOrder:
                  type: integer
                  description: >-
                    When viewing records in HubSpot, pipelines are displayed
                    starting with the pipeline with the lowest displayOrder
                    value.
                active:
                  type: boolean
                  description: Whether or not the pipeline is active.
                stages:
                  type: array
                  description: >-
                    A list of stages for this pipeline. Pipelines may have up to
                    100 stages.
                  maxItems: 100
                  items:
                    $ref: '#/components/schemas/PipelineStage'
      responses:
        '200':
          description: Successfully updated pipeline
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Pipeline'
      security:
        - oauth2:
            - crm.objects.deals.write
        - oauth2_legacy: []
        - private_apps:
            - crm.objects.deals.write
        - private_apps_legacy: []
components:
  schemas:
    PipelineStage:
      type: object
      properties:
        stageId:
          type: string
        createdAt:
          type: integer
          format: int64
        updatedAt:
          type: integer
          format: int64
          nullable: true
        label:
          type: string
        displayOrder:
          type: integer
        active:
          type: boolean
        metadata:
          oneOf:
            - $ref: '#/components/schemas/DealStageMetadata'
            - $ref: '#/components/schemas/TicketStageMetadata'
            - type: object
    Pipeline:
      type: object
      properties:
        pipelineId:
          type: string
        createdAt:
          type: integer
          format: int64
        updatedAt:
          type: integer
          format: int64
          nullable: true
        objectType:
          type: string
          enum:
            - DEAL
            - TICKET
        label:
          type: string
        displayOrder:
          type: integer
        active:
          type: boolean
        default:
          type: boolean
        stages:
          type: array
          items:
            $ref: '#/components/schemas/PipelineStage'
    DealStageMetadata:
      type: object
      required:
        - probability
      properties:
        probability:
          type: number
          minimum: 0
          maximum: 1
          multipleOf: 0.1
          description: >-
            The likelihood a deal will close. Possible values are between 0.0
            and 1.0 in increments of 0.1
    TicketStageMetadata:
      type: object
      properties:
        ticketState:
          type: string
          enum:
            - OPEN
            - CLOSED
          description: >-
            Indicates if the ticket remains open or has been closed by a member
            of your Support team.

````